/*
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.0 (the "License"); you may not use this file except in compliance 
 * with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, 
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License 
 * for the specific language governing rights and limitations under the License. 
 * 
 * The Original Code is the roamd Version 0.1 code,
 * released on or about December 4, 1998.
 * 
 * The Initial Developer of the Original Code is John Richard Stracke,
 * Jr.  Portions created by John Richard Stracke, Jr. are Copyright (C)
 * John Richard Stracke, Jr. All Rights Reserved. 
 * 
 * Contributor(s): ______________________________________. 
 */
/*
 * Tests the de64() function in passwd.c.
 *
 * $Revision: 1.4 $
 * $Author: francis $
 * $Date: 1998/12/06 20:02:22 $
 *
 * $Log: tstde64.c,v $
 * Revision 1.4  1998/12/06 20:02:22  francis
 * Adding ident lines
 *
 * Revision 1.3  1998/12/04 22:03:22  francis
 * Adding license terms to the source files.
 * Adding tryCrypt and tryCrypt.o to the clean target.
 * Deleting tryCrypt from the repository.
 * Adding Index.html and license.html.  Linking to license.html from
 * readme.html.  A bit of cosmetic work in readme.html.
 *
 * Revision 1.2  1998/12/04 20:01:03  francis
 * Adding documentation headers and comments
 *
 */
#include "ident.h"
IDENTIFY(ROAMD_TSTDE64_C,"$Id: tstde64.c,v 1.4 1998/12/06 20:02:22 francis Exp $")

/* We need this declaration here because it isn't declared in a header
 *  file (since it isn't normally used outside passwd.c)
 */
char* de64(const char* base64);

void main(int argc, const char* argv[])
{
  if (argc!=2)
    exit(1);

  printf("%s\n",de64(argv[1]));
}
