/*
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.0 (the "License"); you may not use this file except in compliance 
 * with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, 
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License 
 * for the specific language governing rights and limitations under the License. 
 * 
 * The Original Code is the roamd Version 0.1 code,
 * released on or about December 4, 1998.
 * 
 * The Initial Developer of the Original Code is John Richard Stracke,
 * Jr.  Portions created by John Richard Stracke, Jr. are Copyright (C)
 * John Richard Stracke, Jr. All Rights Reserved. 
 * 
 * Contributor(s): ______________________________________. 
 */
/*
 * Tests the initUsers() function from users.h.
 *
 * $Revision: 1.4 $
 * $Author: francis $
 * $Date: 1998/12/06 20:02:22 $
 *
 * $Log: tstUsers.c,v $
 * Revision 1.4  1998/12/06 20:02:22  francis
 * Adding ident lines
 *
 * Revision 1.3  1998/12/04 22:03:21  francis
 * Adding license terms to the source files.
 * Adding tryCrypt and tryCrypt.o to the clean target.
 * Deleting tryCrypt from the repository.
 * Adding Index.html and license.html.  Linking to license.html from
 * readme.html.  A bit of cosmetic work in readme.html.
 *
 * Revision 1.2  1998/12/04 20:01:03  francis
 * Adding documentation headers and comments
 *
 */
#include "ident.h"
IDENTIFY(ROAMD_TSTUSERS_C,"$Id: tstUsers.c,v 1.4 1998/12/06 20:02:22 francis Exp $")

#include "users.h"

void main(int argc, const char* argv[])
{
  const char** users=initUsers("data");

  if (!users)
    perror("initUsers");
  else
    {
      int i;
      for (i=0; users[i]; i++)
        printf("%s\n",users[i]);
    }
}
